<?php

/*
 * Editor server script for DB table userinfo
 * Created by http://editor.datatables.net/generator
 */

// DataTables PHP library and database connection
include( "lib/DataTables.php" );

// Alias Editor classes so they are easy to use
use
	DataTables\Editor,
	DataTables\Editor\Field,
	DataTables\Editor\Format,
	DataTables\Editor\Mjoin,
	DataTables\Editor\Options,
	DataTables\Editor\Upload,
	DataTables\Editor\Validate,
	DataTables\Editor\ValidateOptions;



// Build our Editor instance and process the data coming from _POST
Editor::inst( $db, 'contactInfo', 'id' )
->fields(
     Field::inst( 'contactInfo.id' ),
                Field::inst( 'contactInfo.userid' ),
               
                Field::inst( 'contactInfo.phone' )
                 ->validator( Validate::notEmpty() )
                 ->validator( Validate::minMaxLen( 8, 15 ) ),
            
                Field::inst( 'contactInfo.email' )
                 ->validator( Validate::email( ValidateOptions::inst()
                 ->message( 'Please enter an e-mail address' )  
                 ) )
            
            
            
            
            )
            
            
             ->join(
	    Mjoin::inst( 'userinfo' )
	       ->link( 'userinfo.userid', 'contactInfo.userid' )
	      	->fields(
	      	    	Field::inst( 'userid' )
	)
	    )
	    
	     	   // Check if the "userid" key exists in the $_POST array before using it
    ->where(function ($q) {
        if (isset($_POST['userid'])) {
            $q->where('userid', $_POST['userid']);
        }
    })
	->process( $_POST )
	->json();
